/// <reference types="bn.js" />
import { PublicKey } from "@solana/web3.js";
import { BN, Program } from "@project-serum/anchor";
import { Whirlpool } from "../artifacts/whirlpool";
import { PDA } from "@orca-so/common-sdk";
import { Instruction } from "@orca-so/common-sdk";
export declare type SetPoolDiscountInfoParam = {
    whirlpoolsConfig: PublicKey;
    whirlpool: PublicKey;
    discountToken: PublicKey;
    whirlpoolDiscountInfoPDA: PDA;
    poolCreatorAuthority: PublicKey;
    tokenConversionRate: number;
    discountFeeRate: number;
    discountTokenRateOverTokenA: BN;
};
export declare function setPoolDiscountInfoIx(program: Program<Whirlpool>, params: SetPoolDiscountInfoParam): Instruction;
